package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 校考院校记录对象 mall_test_school_record
 *
 * @author ruoyi
 * @date 2023-11-01
 */
public class MallTestSchoolRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 院考记录id */
    private Long testInfoId;

    /** 院考学校id */
    private Long testSchoolId;

    /** 学校名称 */
    @Excel(name = "院考学校")
    private String schoolName;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String majorName;

    /** 专业id */
    private Long majorId;

    /** 年份 */
    @Excel(name = "年份")
    private String acceptYear;

    /** 所需文化分 */
    @Excel(name = "所需文化分")
    private String needCulture;

    /** 合格线 */
    @Excel(name = "合格线")
    private Integer passScore;

    /** 满分线 */
    @Excel(name = "满分线")
    private Integer fullScore;

    /** 删除标记(0-正常,1-删除) */
    private Integer delFlag;

    /** 录取前提 accept_premise*/
    @Excel(name = "录取前提")
    private String acceptPremise;

    /** 录取原则 accept_rule */
    @Excel(name = "录取原则")
    private String acceptRule;

    /** 最低分 accept_lowest  数字*/
    @Excel(name = "最低分")
//    private Integer acceptLowest;
    private String acceptLowest;

    /** 考试内容 exam_content */
    @Excel(name = "考试内容")
    private String examContent;

    /** 招生人数 accept_num  数字*/
    @Excel(name = "招生人数")
    private Integer acceptNum;

    /** 非必_联考要求 exam_require*/
    @Excel(name = "联考要求")
    private String examRequire;


    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public void setTestInfoId(Long testInfoId)
    {
        this.testInfoId = testInfoId;
    }

    public Long getTestInfoId()
    {
        return testInfoId;
    }
    public void setTestSchoolId(Long testSchoolId)
    {
        this.testSchoolId = testSchoolId;
    }

    public Long getTestSchoolId()
    {
        return testSchoolId;
    }
    public void setMajorId(Long majorId)
    {
        this.majorId = majorId;
    }

    public Long getMajorId()
    {
        return majorId;
    }
    public void setAcceptYear(String acceptYear)
    {
        this.acceptYear = acceptYear;
    }

    public String getAcceptYear()
    {
        return acceptYear;
    }
    public void setNeedCulture(String needCulture)
    {
        this.needCulture = needCulture;
    }

    public String getNeedCulture()
    {
        return needCulture;
    }
    public void setPassScore(Integer passScore)
    {
        this.passScore = passScore;
    }

    public Integer getPassScore()
    {
        return passScore;
    }
    public void setFullScore(Integer fullScore)
    {
        this.fullScore = fullScore;
    }

    public Integer getFullScore()
    {
        return fullScore;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }


    public String getAcceptPremise() {
        return acceptPremise;
    }

    public void setAcceptPremise(String acceptPremise) {
        this.acceptPremise = acceptPremise;
    }

    public String getAcceptRule() {
        return acceptRule;
    }

    public void setAcceptRule(String acceptRule) {
        this.acceptRule = acceptRule;
    }

    public String getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(String acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public String getExamContent() {
        return examContent;
    }

    public void setExamContent(String examContent) {
        this.examContent = examContent;
    }

    public Integer getAcceptNum() {
        return acceptNum;
    }

    public void setAcceptNum(Integer acceptNum) {
        this.acceptNum = acceptNum;
    }

    public String getExamRequire() {
        return examRequire;
    }

    public void setExamRequire(String examRequire) {
        this.examRequire = examRequire;
    }

    @Override
    public String toString() {
        return "MallTestSchoolRecord{" +
                "testInfoId=" + testInfoId +
                ", testSchoolId=" + testSchoolId +
                ", schoolName='" + schoolName + '\'' +
                ", majorName='" + majorName + '\'' +
                ", majorId=" + majorId +
                ", acceptYear='" + acceptYear + '\'' +
                ", needCulture=" + needCulture +
                ", passScore=" + passScore +
                ", fullScore=" + fullScore +
                ", delFlag=" + delFlag +
                ", acceptPremise='" + acceptPremise + '\'' +
                ", acceptRule='" + acceptRule + '\'' +
                ", acceptLowest=" + acceptLowest +
                ", examContent='" + examContent + '\'' +
                ", acceptNum=" + acceptNum +
                ", examRequire='" + examRequire + '\'' +
                '}';
    }
}
